Bug 193474 - ImageMagick fails rendering of text in svg files
ImageMagick fails rendering of text in svg files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
bzcl34nup
: Reopened
: 225483 227446 291931 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 08:52 EDT by Dov Grobgeld
Modified: 2008-04-26 02:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 02:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dov Grobgeld 2006-05-29 08:52:55 EDT
Description of problem:

Using display or convert on an svg file with text elements does not render
these. The problem appears to be that ImageMagick by default refers to the
MicroSoft Arial font. The same problem also occurs if the Arial font is
explicitely referenced in the SVG text elements. 

The problem is in the file:

/usr/lib/ImageMagick-6.2.5/config/type-windows.xml

that references the directory /usr/share/fonts/default/TrueType  that should
contain the windows fonts.

The problem may be solved by installing the msttcorefonts package and then
either setting up symbolic links to resolve the type-windows.xml dependencies,
or just moving msttcorefont to default/TrueType .

(This bug is annoying as it stops mediawiki from turning svg files into png
files by the default converter ImageMagick.)

Version-Release number of selected component (if applicable):

ImageMagick-6.2.5.4-4.2.1.fc5.3

How reproducible:


Steps to Reproduce:
1. Open up inkscape and create some graphics with text elements. Save as an svg
file.
2. Display the resulting svg file with display.

  
Actual results:

Graphics is displayed without the text elements.

Expected results:

Seeing the text.

Additional info:
Comment 1 Bug Zapper 2008-04-03 22:59:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Hans de Goede 2008-04-25 09:30:02 EDT
Quick intro: I'm now a comaintainer of ImageMagick, and thus going through all
the open bugs.

magick-config.h now prefixes all its defines with MAGICKCORE_, closing.
Comment 3 Hans de Goede 2008-04-25 09:32:43 EDT
Oops wrong bug, reopening this bug is still valid for our current release!
Comment 4 Hans de Goede 2008-04-26 02:22:16 EDT
Quick intro: I'm now a comaintainer of ImageMagick, and thus going through all
the open bugs.

Further investigation has revealed that this bug is fixed since F-8, closing.
Comment 5 Hans de Goede 2008-04-26 02:23:29 EDT
*** Bug 291931 has been marked as a duplicate of this bug. ***
Comment 6 Hans de Goede 2008-04-26 02:23:47 EDT
*** Bug 227446 has been marked as a duplicate of this bug. ***
Comment 7 Hans de Goede 2008-04-26 02:24:04 EDT
*** Bug 225483 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.